Subject: [lamps] I-D Action: draft-ietf-lamps-5480-ku-clarifications-02.txt

From: [email-masked]
Date: Fri, 28 Feb 2020 11:20:31 -0800

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Limited Additional Mechanisms for PKIX and SMIME WG of the IETF.

        Title           : Clarifications for Elliptic Curve Cryptogtaphy Subject Public Key Information
        Authors         : Tadahiko Ito
                          Sean Turner
	Filename        : draft-ietf-lamps-5480-ku-clarifications-02.txt
	Pages           : 3
	Date            : 2020-02-28

Abstract:
   This document updates RFC 5480 to specify semantics for the
   keyEncipherment and dataEncipherment key usage bits when used in
   certificates that support Elliptic Curve Cryptography.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-lamps-5480-ku-clarifications/

There are also htmlized versions available at:
https://tools.ietf.org/html/draft-ietf-lamps-5480-ku-clarifications-02
https://datatracker.ietf.org/doc/html/draft-ietf-lamps-5480-ku-clarifications-02

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-lamps-5480-ku-clarifications-02

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

---

From: Sean Turner <[email-masked]>
Date: Fri, 28 Feb 2020 14:21:32 -0500

This version addresses opsdir and some IESG comments.

spt

> On Feb 28, 2020, at 14:20, [email-masked] wrote:
> 
> 
> _______________________________________________
> Spasm mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/spasm

---

From: Russ Housley <[email-masked]>
Date: Fri, 28 Feb 2020 14:32:24 -0500

Sean:

Since the new text is being added to the end of section 3 of RFC 5480, why have two separate paragraphs?

Wouldn't this do the job?

   If the keyUsage extension is present in a certificate that indicates
   id-ecPublicKey, id-ecDH, or id-ecMQV in SubjectPublicKeyInfo, then
   the following values MUST NOT be present:

     keyEncipherment; and
     dataEncipherment.

Russ

> On Feb 28, 2020, at 2:21 PM, Sean Turner <[email-masked]> wrote:
>

---

From: Sean Turner <[email-masked]>
Date: Fri, 28 Feb 2020 15:01:20 -0500

That was also suggested by Dale Worley in his GENART review but we suggested not combining them:
https://mailarchive.ietf.org/arch/msg/spasm/NbeUttXn3SV5Q68s3tjVS86b1Rc/

spt

> On Feb 28, 2020, at 14:32, Russ Housley <[email-masked]> wrote:
> 
> Sean:
>

---

From: Russ Housley <[email-masked]>
Date: Fri, 28 Feb 2020 15:09:51 -0500

Not merging make more sense if the paragraphs were being added in the two places where there are already lists.  i do not see the reason with the current wording.

Russ

> On Feb 28, 2020, at 3:01 PM, Sean Turner <[email-masked]> wrote:
>